Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162584 - Separate out the Extras products on http://rhn.redhat.com/errata/ lists
Summary: Separate out the Extras products on http://rhn.redhat.com/errata/ lists
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other
Version: unspecified
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: James Slagle
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-06 15:46 UTC by Mark J. Cox
Modified: 2007-10-24 02:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-20 18:41:33 UTC


Attachments (Terms of Use)

Description Mark J. Cox 2005-07-06 15:46:03 UTC
At the moment updates to RHEL4 base and Extras channels are merged on the
/errata/ page (see http://rhn.redhat.com/errata/).  Similarly RHEL3 base and
Extras are merged.

These need to be split asap, so that RHEL4 Extras and RHEL3 Extras packages have
their own, separate, errata lists.  

Justification: A number of significant Critical security issues are affecting
Extras packages over which we have limited control, but this is affecting the
perception of our overall security, even though Extras is meant to be an
unsupported add on.  By merging them we increase customers expectations that
packages in Extras will be treated in the same way as Base.

Text on /errata/ page would be

"Red Hat Enterprise Linux Extras (v. 3)"  
http://rhn.redhat.com/errata/rhel3-extras-errata.html
"Red Hat Enterprise Linux Extras (v. 4)"  
http://rhn.redhat.com/errata/rhel4-extras-errata.html

(There is no need to have separate pages for AS, WS, ES, Desktop etc -- channels
can be rerouted and not included in multiple products)

Example:

http://rhn.redhat.com/errata/RHSA-2005-523.html

Channel names for reference:
3AS-LACD
3Desktop-LACD
3ES-LACD
3WS-LACD 

4AS-LACD
4Desktop-LACD 
4ES-LACD 
4WS-LACD 

Security team will QA this change when ready.

Comment 2 Mark J. Cox 2005-07-08 07:33:32 UTC
Seems to work nicely, both through /errata/ and through RHN once logged in. 
However one minor issue

Looking here: https://rhn.webdev.redhat.com/errata/RHBA-2004-556.html

the SRPMS and ia32 rpms are listed 4 times (I guess once each for AS, ES, WS,
Desktop). 


Comment 4 Mark J. Cox 2005-07-08 18:29:55 UTC
Extras is a channel distinct from AS, ES, WS, so I think we should continue as
is and not separate have separate extras for each variant.  Perhaps put in a
bugzilla against the /errata/ pages so that duplicated files for Extras packages
don't show up 4 times.


Comment 5 James Slagle 2005-07-11 16:28:32 UTC
I've asked the dba's to push this change to QA.  

The Extras products won't be sorted quite as nicely as they were on dev, b/c
doing so would require a pl/sql change, which would require us to take an outage
to push this change.  The sorting will be fixed for the rhn400 release which is
scheduled for mid-August timeframe.

Comment 6 James Slagle 2005-07-11 18:56:35 UTC
The change is now on QA.  Please verify at:
rhn.webqa.redhat.com/errata

Comment 7 James Slagle 2005-07-14 19:14:17 UTC
Mark, have you guys had a chance to verify this in qa?  Thanks.

Comment 8 Mark J. Cox 2005-07-14 20:11:03 UTC
Sorry, yes this looks fine :- even the positioning at /errata/.  
(Subject to the same problems as #4 where extras rpm's are listed multiple times
-- which can be fixed later and not a showstopper for this change).


Comment 9 James Slagle 2005-07-20 18:41:33 UTC
This has been pushed to production.
https://rhn.redhat.com/errata

Comment 10 Mark J. Cox 2005-07-20 21:02:55 UTC
Thank you for your fast response to this issue!


Note You need to log in before you can comment on or make changes to this bug.